20.12.08 -- v0.98.3 RC2 -- 14.6 Кб
- теперь координаты отсчитываются от конца скина;
- устранён вылет программы в случае, если в папке 0 или больше чем 6898 файлов;
- исправлен баг: если в конце списка развернуть окно, выделение "прыгало" вверх;
- исправлена перерисовка при переходе в другую папку или устройство;
- немного оптимизировано изменение регистра букв в названиях файлов;
- теперь выделяется папка, в которой мы были и после кнопки "Назад";
- исправлены недочёты при переходе в верхнюю папку;
- в историю посещённых папок теперь не может два раза подряд записаться одна и
   та же папка;
- исправлен баг из-за которого выделение выделение могло не двигаться клавишами;
- прога не вылетает из-за переполнения в истории посещённых папок, однако один
   небольшой косяк там остался;
- тестовое отображение скрытых файлов;
- удалён неиспользуемый код;


16.12.08 -- v0.98.1 RC1 -- 14.7 Кб
- папка ".." теперь всегда первая в списке;
- кнопки вверх/вниз скролл бара теперь реагируют на нажатие и удержание;
- файлы с некоторыми расширениями теперь нельзя запускать (реализовал s1n).


15.12.08 -- v0.98 RC1 -- 14.5 Кб
- программа научилась работать с bd-дисками и NTFS;
- исправлен баг из-за которого прога вылетала при переходе на уровень вверх;
- исправлено отображение регистра букв для кириллицы;
- удаление папки "." из листинга директории (спасибо diamond'у за помощь).


30.11.08 -- v0.97.2 beta7 -- 14.4 Кб
- на /bd/ разделах прога больше не вылетает (хоть ничего на них и не видит);
- некоторые исправления в работе полосы прокрутки;
- динамическое выделение памяти (в режиме тестирования).


26.11.08 -- v0.97.1 beta7 -- 14.3 Кб
- удаление, создание и переименование пустых папок;
- все процедуры работы с файловой системой вынесены в отдельный файл;
- благодаря помощи Veliant'а большая часть изображений конвертирована в
   256-цветные с палитрой. В результате чего уменьшился размер сжатой программы
   и в 2 раза уменьшился обьём несжатой kpack'ом;
- улучшено перетягивание ползунка;
- исправлен один баг.


20.11.08 -- v0.97 beta7 -- 14.9 Кб
- уменьшена перерисовка: во время перерисовки списка 
   фон под иконками не рисуется;
- новая иконка изображений, обтекаемость архивов.


17.11.08 -- v0.96.9 beta7 -- 14.9 Кб
- некоторые новые ассоциации и иконки файлов .dll (.obj) и .img.


14.11.08 -- v0.96.8 beta7 -- 14.6 Кб
- при нажатии на букву, выделяется соответствующий файл;
- некоторые новые ассоциации и иконки файлов .cpp и .nes.


31.10.08 -- v0.96.7 beta7 -- 14.4 Кб
- теперь, при переходе на уровень вверх, выделяется папка в которой мы были;
- отловил баг из-за которого, если попытаться войти в верхнюю папку\файл в
   списке, не смотря что там выделено, вы перейдёте на уровень вверх;
- исправлен баг из-за которого не все элементы сортировались по типу;
- теперь выделеный элемент в списке рисуется "в порядке очереди", а не самым
   последним; это было заметно при перемотке;
- оптимизации.


24.10.08 -- v0.96.3 beta7 -- 14.4 Кб
- скролл колёсиком как в Symbian;
- уменьшена перерисовка окна в ущерб размеру программы;
- исправлен баг, когда папки, названия которых имели симполы типа !,& прыгали
   вверх, выше папки "..";
- исправление других багов, улучшение кода.


23.10.08 -- v0.96 beta6 -- 14.1 Кб
- вместо сортировки пузырьком теперь используется алгоритм быстрой сортировки
   (да здравствует Википедия!)). Как результат скорость сортировки по размеру
    увеличилась в 8 раз, по типу более чем в 5 раз, по имени возросла на 30%;
- и более того: теперь, конечно же, сортировка проходит не по первой букве имени
    файла, а по названию вообще. Так же, при сортировке по типу есть одинаковые
    расширения, то эти файлы упорядывачиваются по имени;
- оптимизирована процедура сравнения строк;
- перемотка по 3 елемента;
- оптимизация и доработка панели устройств;


17.10.08 -- v0.95.7 beta6 -- 14.3 Кб
- перемотка по 2 елемента;
- упорядочивание файлов по типу.

15.10.08 -- v0.95.4 beta6 -- 14.0 Кб
- исправлен баг: первая буква названия файл\папки не делалась большой (строчной).

03.10.08 -- v0.95.3 beta6 -- 14.1 Кб
- устранён серьёзный баг с кнопкой "Назад";
- при сортировке файлов по размеру, папки не перемешиваются в хаотичном порядке,
   а продолжают быть отсортированными по имени.
- устранён баг в сортировке файлов;
- новая иконка папки.


17.09.08 -- v0.95.2 beta6 -- 14.1 Кб
- исправлена ошибка, связанная с количеством файлов в папке, замечена Serge'м.
   Теперь Эолайт без проблем заходит даже в самые большие папки (было проверено
   на папке объёмом 91000 файлов), но отображает максимум только 6898 файлов;
- по нажатию Ctrl+N создаётся новое окно программы с текущей папкой;
- небольшие оптимизации.


14.09.08 -- v0.95 beta6 -- 14.0 Кб
- новая полоса адреса и переименования файла, основанные на компоненте от <Lrz>;
- в EditBox'ax теперь можно использовать все цифры от 1 до 9 (мечта Атаульпы:);
- если не выделена строка адреса клавиша BackSpace возвращает в предыдущую папку;
- оптимизирована функция IntToStr() за что огромное спасибо diamond'y, она стала
   меньше на 158 байт;
- много интересного почерпнуто из либы Nable'а относительно оптимизации функций;
- по совету Albom'a динамическое выделение памяти было заменено статическим, как
   последствие - исчезло два известных бага, связанных с копированием файлов и
   их переименованием;
- некоторые переменные стали локальными, ещё оптимизации и небольшие багфиксы;


02.08.08 -- v0.94.4 beta5 -- 14.0 Кб
- правка трёх небольших багов, оптимизации;


28.07.08 -- v0.94.3 beta5 -- 14.1 Кб
- переход по девайсам Ctrl+<цифра>;
- установлен минимальный размер высоты окна;
- иконка папки "вверх";
- почищен и оптимизирован код.


04.07.08 -- v0.94 beta5 -- 13.9 Кб
- исправлен довольно старый баг, если ползунок прокрутки в папке с очень большим
   количеством файлов перетянуть вверх до начала списка, программа вылетала


04.07.08 -- v0.93.9 beta5 -- 13.9 Кб
- работает клавиша "Назад" :)
- устранён баг из-за которого папки "." и ".." подвергались сортировке


29.06.08 -- v0.93.8 beta5 -- 13.8 Кб
- сортировка файлов по первой букве имени


22.06.08 -- v0.93.6 beta5 -- 13.7 Кб
- новый алгоритм сортировки файлов по размеру, более быстрый (вычитал о нём на
   Википедии:), в списке появилось 2 досели потеряных файла


18.06.08 -- v0.93.5 beta5 -- 13.7 Кб
- запуск программы с параметрами - например "Eolite /hd1/1/" откроет программу
   с папкой /hd1/1/ в ней. Несуществующий путь открыт не будет
- устранён глюк окна "О программе", когда нажатие на любую клавишу приводило к
   его зависанию (уходу в бесконечный цикл)
- иконка и поддержка файлов ".cvs"
- оптимизации кода


15.06.08 -- v0.93.4 beta5 -- 13.4 Кб
- исправлен баг с тем появления несуществующего файла в /rd/1/
- теперь rd, fd, hd1 и т.д. всегда в нижнем регистре
- устранён вылет проги после нажатия кнопки "Up" (спасибо сеса за найденый баг)


14.06.08 -- v0.93.3 beta5 -- 13.4 Кб
- теперь заливается белым не весь список, а потом выводится текст, а рисуются
   белые полосы с текстом - так немного медленнее, но перерисовка значительно
   меньше (спасибо Марио79 за подсказку)
- оптимизирована и исправлена процедура удаления файла
- F3 - просмотр любого файла в Тайнипаде
- исправлены баги интерфейса


14.06.08 -- v0.93 beta5 -- 13.6 Кб
- реализована прокрутка скроллом мыши (спасибо diamond'у за отловленный баг)
- немного уменьшена перерисовка окна 
- уменьшен и оптимизирован код программы
- частично исправлен баг разворачивания окна, если мы были в конце списка
- теперь при переименовании файла можно использовать все цифры, кроме восьмёрки
- у программы изменился компилятор на более новый и ключи компиляции
- оптимизирован kolibri.h--


08.06.08 -- v0.92.1 beta5 -- 14.0 Кб
- исправлен баг, когда ползунок не всегда доезжал не до конца полосы прокрутки
- оптимизации в прокрутке


08.06.08 -- v0.92 beta5 -- 14.0 Кб
- устранён баг, появившейся в версии 0.88. Если вы в конце списка и начнёте 
   понемногу увеличивать размеры окна, оттягивая его нижний конец вниз, то со
   временем программа вылетит
- реализован алгоритм плавной прокрутки, есть 1 серьёзный и 1 несерьёзный баг


07.06.08 -- v0.91.5 beta4 -- 14.0 Кб
- удалён неиспользуемый с 03.03.08 (v0.83) кусок кода
- интерфейс полосы прокрутки стал более объёмным, это было сделано не с целью
   улучшения дизайна, а с целью уменьшения кода в исходнике :)
- устранён баг открытия первого файла, который проявлялся только в эмуляторе
- cпасибо diamond'у за исправление ошибки в процедуре складывания двух строк
   copystr() и её оптимизацию
- установлено ограничение на размер имени файла, отображаемого при его удалении
- если отменили удаление файла, то опять создаются кнопочки под формой
- устранён старый баг (замеченный недавно) - если в полосе адреса прописали
   несуществующий адрес, программу выкидывало
- уменьшена перерисовка при переходе в другую папку, где файлов меньше, чем
   было в текущей
- исправлена ошибка в функциях lowcase() и upcase()
- теперь названия файлов и папок начинаются с большой буквы, далее - прописные
- с папками на NTFS-разделе программа всё ещё работать не умеет, но, по крайней
   мере, при попытке войти в какую-то из них она уже не вылетает
- немного оптимизирована процедура перехода на девайс
- исправлен баг из-за которого имена файлов иногда оказывались чуть выше чем
   надо, относительно иконок
- уменьшена перерисовка окна
- другие оптимизации и багфиксы


02.06.08 -- v0.90.4 beta4 -- 14.1 Кб
- оптимизации и багфиксы (в т.ч. спасибо Maxis за найденный баг)


01.06.08 -- v0.90 beta4 -- 14.1 Кб
- критически уменьшена перерисовка, в несколько раз! Огромное спасибо diamond
   за подсказку


01.06.08 -- v0.88.5 beta3 -- 14.1 Кб
- раньше при переходе из одной папки в другую вся область с файлами
   закрашивалась белым цветом, а поверх выводились новые. Вопрос: зачем
   закрашивать ВСЮ область, если файлов ней может быть всего 2? Я тоже не
   знаю почему я понял это только сейчас. Закрашиваем только эти файлы.
- раньше рисовалась левая синяя панель, а поверх неё окошечки с девайсами
   и т.д. Сейчас не так: синяя панель рисуется ВОКРУГ окошечек, что уменьшает
   перерисовку.


30.05.08 -- v0.88.2 beta3 -- 14.1 Кб
- устранён баг, связанный с клавишами F2 и Home


27.04.08 -- v0.88 beta3 -- 14.1 Кб
- обьединены процедуры открытия файла
- устранён баг, связанный с переходом из некорневой папки на другой девайс
- динамическое выделение памяти под папки


08.04.08 -- v0.87 beta3 -- 14.0 Кб
- оптимизировано удаление файла
- удалён продублированный код переименования файла
- теперь для списка девайсов в левой панели (RАM-диск, жестяки и т.д.)
   существует определённый буфер, а не открывается папка "/" каждый раз при
   выводе этого списка или же перехода в какой-то из его элементов
- при перерисовке окна больше не считывается содержимое папки, просто
   выводятся данные, что хранятся в буфере
- посла деактивации окна то, что было напечатано в строке адреса не исчезает
- упорядочивание файлов по размеру


27.03.08 -- v0.86 beta3 -- 14.4 Кб
- оптимизирован вывод размера файлов
- убрана лишняя перерисовка при открытии программы
- оптимизирован переход в начало и в конец списка файлов
- исправлен баг с потелей одного файла в корневых разделах жестких дисков
- обьединены процедуры Ctrl+С и Ctrl+X
- теперь для каждого изображения не своя переменная, а все они собраны по типам
  в один файл: toolbar icons, file icons, device icons
- уменьшено потребление программой ресурсов при выводе иконок файлов
- и ещё много-много всего отимизировано!


09.03.08 -- v0.84 beta2 -- 16.1 Кб
- cделано окно "О программе" (размер за kpack-ованого изображения 2.5 Кб)
- теперь при переименовании файла можно использовать все цифры
- оптимизировано процедуры открытия папки, копирования, перерисовка полосы
   адреса и полосы переименования файла
- запрос на удаление


07.03.08 -- v0.83.3 beta2 -- 13.0 Кб
- решён глюк, связанный с корневыми папками жёстких дисков


07.03.08 -- v0.83.2 beta2 -- 13.0 Кб
- решён крайне серьёзный баг с пожиранием программой дополнительного количества
  памяти каждый раз после перерисовки окна или открытия папки


07.03.08 -- v0.83.1 beta2 -- 13.0 Кб
- решен баг с прокруткой и папками
- опитимизации


03.03.08 -- v0.83 beta2 -- 13.0 Кб 
- цвет окна более тёмный
- распределение: вначале папки, затем файлы
- теперь перетягивание ползунка прокрутки работает и в Колибри!
- реализованы быстрые клавиши Ctrl+C (Ctrl+Ins), Ctrl+X, Ctrl+V. Как сделать с
  Shift-ом я не знаю
- новое лого
- устранён баг с серой линией, отделяющей названия файлов и их тип
- устранён древний баг, связанный с невозможностью открыть любой файл с первого
  раза, только со второго
- устранён баг, связаный с длинной имени файла
- новая иконка текстовых документов


27.02.08 -- v0.81 beta -- 12.8 Кб
- оптимизирование перерисовки при переходе в другую папку
- некоторые иконки теперь обтекаемы
- багфиксы прокрутки списка


25.02.08 -- v0.80 beta -- 12.6 Кб
- критически уменьшена перерисовка!
- багфиксы интерфейса


25.02.08 -- v0.77 beta -- 12.5 Кб
- переименовывание файлов


23.02.08 -- v0.75 beta -- 12.1 Кб
- опять заработали горячие клавиши
- библиотека eolite_copy.obj больше не нужна
- теперь работает и вырезание файлов (размером не больше чем ОЗУ)
- улучшение алгоритма прокрутки
- багфиксы


23.02.08 -- v0.71 beta -- 12.1 Кб
- устранён баг ограничения размера строки для имён файлов
- ReadMe


23.02.08 -- v0.7 beta -- 12.1 Кб
- ограничение размера строки для имён файлов
- удалена "." в начале списка файлов


22.02.08 -- v0.65 beta -- 12.3 Кб
- размер файлов теперь выводится в Кб, Мб и Гб
- оптимизация отрисовки в левой синей панели
- удобно стало пользоваться полосой адреса. Если она была изменена, нажав Enter
  мы переходим по новому адресу, если же нет - открывается выделенная папка, 
  файл или программа
- в Колибри не работает, в отличии от эмулятора, реализованное перетягивание
  ползунка :(
- выделение по Insert, пока что нигде не используется


18.02.08 -- v0.6 beta -- 11.7 Кб
- совместными усилиями устранён серьёзный баг с нажатием ПКМ на заголовке окна
- если мы пропишем адрес папки, которой не существует и попытаемся в неё перейти
  ничего у нас УЖЕ не получится
- улучшения в скролле
- F5 перерисовать окно
- иконки у устройств
- панель действий
- одиночное копирование и вырезание файлов размером не больше чем ОЗУ
- удаление файлов, пока что без запроса


09.02.08 -- v0.5 beta -- 10 Кб
- оптимизировано Preview
- до деактивации окна уже нельзя кляцать по белой области и видеть кнопки
- уменьшен размер иконок - теперь они 16х15
- нельзя удалить весь путь в строке адреса, "/" по-любому остаётся
- при деактивации окна выделение не перепрыгивает на первый элемент
- реализовано открытие програм и ассоциированных файлов
- расширения больше не в верхнем регистре
- переходит по носителям, теперь если неизвестный носитель - оно так и напишет
- добавлены новые типы файлов


04.02.08 -- v0.35 beta -- 9.17 Кб
- для строки адреса отдельный "путь" (не #path, а #edit_path).
- красивая кнопка перехода
- входит в первую папку
- вывод типов файлов
- оптимизация в коде


03.02.08 -- v0.33 beta -- 8.91 Кб (англ.версия)
Первая версия. Краткое хистори:
1. Leency делает дизайн программы и ищет пути решения некоторых проблем.
2. Veliant делает отображение списка файлов из /rd/1/, а Leency реализует
   перемотку списка и горячие клавиши.
3. Veliant осуществляет вывод размера файлов. Leency мучается с прокруткой.
4. Veliant выводит иконки, Leency эти иконки рисует и переделывает дизайн окна.
5. Veliant с Leency сделали переход по папкам.
6. Устранение багов.

22.02.08 -- v0.0 -- 0 Кб
Начало.
